libcoap 4.3.2rc2

Data Fields
coap_block_t Struct Reference
Application API » Block Transfer

Structure of Block options. More...

`#include <coap_block.h>`

## Data Fields
unsigned int | num
| block number More...
unsigned int | m:1
| 1 if more blocks follow, 0 otherwise More...
unsigned int | szx:3
| block size More...

## Detailed Description

Structure of Block options.

Definition at line 42 of file coap_block.h.

## Field Documentation

## ◆ m

unsigned int coap_block_t::m

1 if more blocks follow, 0 otherwise

Definition at line 44 of file coap_block.h.

## ◆ num

unsigned int coap_block_t::num

block number

Definition at line 43 of file coap_block.h.

## ◆ szx

unsigned int coap_block_t::szx

block size

Definition at line 45 of file coap_block.h.

The documentation for this struct was generated from the following file:

- coap_block.h